Subject: Re: State of Perforce importing.

From: David Brown <[email-masked]>
Date: Tue, 18 Sep 2007 16:37:49 -0700

On Mon, Sep 17, 2007 at 12:30:28PM -0700, David Brown wrote:
> I'd like to track a lot of code living in a Perforce repository, so I've
> been playing with 'git-p4.py'.  Is the one in the contrib/fast-import
> directory the latest version, or is there a better place.
>
> So far, it is having a couple of problems:
>
>   - The commit comment is empty.  It doesn't seem to grab the Perforce
>     description, and the user seems to be <a@b>.
>
>   - Every revision seems to check every file out of Perforce.  This means
>     that for the directory I want, every revision is going to take about 20
>     minutes.

An additional problem:

   - git-p4 doesn't preserve the execute permission bit from Perforce.

David